#!/bin/sh
#
# Which echo?
#
if [ -x /bin/echo ];then
  ECHO="/bin/echo"
else
  if [ -x /usr/bin/echo ];then
    ECHO="/usr/bin/echo"
  else
    cat <<EOF
Cannot find the echo command
EOF
    exit 1
  fi
fi

#
# echo interprets backslash chrs by default? POSIX says no.
#
test=`$ECHO "fred\c"`
if [ "$test" = "fred\c" ];then                                                                                    
  ECHO="$ECHO -e "                                                                                                
  test=`$ECHO "fred\c"`                                                                                           
  if [ "$test" != "fred" ];then                                                                                   
    cat <<EOF                                                                                                     
echo command ($ECHO) does not interpret backslash characters.
You may see backslash c's whilst running this script. These can 
be safely ignored.
EOF
   fi                                                                                                              
fi                                                                                                                

port=""
while [ "$port" = "" ]
do
  $ECHO "Enter port to start http administrator on (q=quit) [8451]: \c"
  read port 
  if [ "$port" = "q" ];then
    exit 99
  fi

  if [ "$port" = "" ];then
    port="8451"
  fi
done

ldpaths=`cat /usr/local/easysoft/etc/es.ld.so.conf`
ldpaths=`echo $ldpaths | sed 's/ /:/g'`
# LINUX, SCO, etc..
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ldpaths
export LD_LIBRARY_PATH
# AIX
LIBPATH=$LIBPATH:$ldpaths
export LIBPATH
# HPUX
SHLIB_PATH=$SHLIB_PATH:$ldpaths
export SHLIB_PATH
umask 000
cd /usr/local/easysoft/isam/bin
./httpisam -p $port &
echo ""
