#!/bin/sh
#
# Which echo?
#
if [ -x /bin/echo ];then
  ECHO="/bin/echo"
else
  if [ -x /usr/bin/echo ];then
    ECHO="/usr/bin/echo"
  else
    cat <<EOF
Cannot find the echo command
EOF
    exit 1
  fi
fi

#
# echo interprets backslash chrs by default? POSIX says no.
#
test=`$ECHO "fred\c"`
if [ "$test" = "fred\c" ];then                                                                                    
  ECHO="$ECHO -e "                                                                                                
  test=`$ECHO "fred\c"`                                                                                           
  if [ "$test" != "fred" ];then                                                                                   
    cat <<EOF                                                                                                     
echo command ($ECHO) does not interpret backslash characters.
You may see backslash c's whilst running this script. These can 
be safely ignored.
EOF
   fi                                                                                                              
fi                                                                                                                

PLATFORM=`uname -s`
answer=""
while [ "$answer" = "" ]
do
  $ECHO "Stop the isam http administration server (y/n) [n]: \c"
  read answer
  if [ "$answer" = "" ];then
    exit 99
  fi

  if [ "$answer" = "n" ];then
    exit 99
  fi
done

PIDARG="1"
PSARGS="ax"

# hp-ux
if [ "$PLATFORM" = "HP-UX" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

# sun solaris
if [ "$PLATFORM" = "SunOS" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

# sco open server
if [ "$PLATFORM" = "SCO_SV" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

# unixware 2.1.3
if [ "$PLATFORM" = "UNIX_SV" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

# unixware 7
if [ "$PLATFORM" = "UnixWare" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

# sinix-n
if [ "$PLATFORM" = "SINIX-N" ];then
  PIDARG="2"
  PSARGS="-ef"
fi

https=`ps ${PSARGS} | grep "httpisam" | grep -v "grep"`
if [ $? != 0 ];then
  exit $?
fi
while [ -n "$https" ]
do
  if [ "$PIDARG" = "1" ];then
    pid=`$ECHO $https | awk '{ print $1 }'`
  fi
  if [ "$PIDARG" = "2" ];then
    pid=`$ECHO $https | awk '{ print $2 }'`
  fi
  $ECHO "stopping httpisam (pid $pid)"
  kill -9 $pid > /dev/null
  if [ $? != 0 ];then
    exit $?
  fi
  https=`ps ${PSARGS} | grep "httpisam" | grep -v "grep"`
done

